Index: LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header: /home/cvsroot/LMDZ4/libf/phylmd/geo2atm.F90,v 1.1 2008-12-05 17:56:40 lsce Exp $
-!
+
 SUBROUTINE geo2atm(im, jm, px, py, pz, plon, plat, pu, pv, pr)
   USE dimphy
@@ -14,10 +14,10 @@
 ! Change wind coordinates from cartesian geocentric to local spherical
 ! NB! Fonctionne probablement uniquement en MPI seul (sans OpenMP)
-!
+
 ! Geocentric :
   ! axe x is eastward : crosses (0N,90E) point.
   ! axe y  crosses (0N,180E) point.
   ! axe z is 'up' : crosses north pole.
-!
+
 ! NB! Aux poles, fonctionne probablement uniquement en MPI seul (sans OpenMP)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5099)
@@ -1,8 +1,8 @@
   subroutine global_mean(field,airephy,laire,mfield)
-!
+
 ! I.Musat: 05.2011
 ! calcul moyenne globale d'un champ pondere par l'aire de la maille
 ! (laire=.TRUE.) ou somme globale du champ (laire=.FALSE.)
-!
+
   USE dimphy
   USE mod_phys_lmdz_para, only: is_sequential
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/gr_fi_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/gr_fi_ecrit.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/gr_fi_ecrit.F90	(revision 5099)
@@ -1,15 +1,15 @@
 SUBROUTINE gr_fi_ecrit(nfield,nlon,iim,jjmp1,fi,ecrit)
   IMPLICIT none
-  !
+
   ! Tranformer une variable de la grille physique a
   ! la grille d'ecriture
-  !
+
   ! WARNING: This only works on the full global grid
   !          (ie for GCM in serial mode)
   INTEGER nfield,nlon,iim,jjmp1, jjm
   REAL fi(nlon,nfield), ecrit(iim*jjmp1,nfield)
-  !
+
   INTEGER i, n, ig
-  !
+
   jjm = jjmp1 - 1
   DO n = 1, nfield
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id$
-!
+
 MODULE grid_noro_m
-!
+
 !*******************************************************************************
 
@@ -16,7 +16,7 @@
 
 !-------------------------------------------------------------------------------
-!
+
 SUBROUTINE grid_noro(xd,yd,zd,x,y,zphi,zmea,zstd,zsig,zgam,zthe,zpic,zval,mask)
-!
+
 !-------------------------------------------------------------------------------
 ! Author: F. Lott (see also Z.X. Li, A. Harzallah et L. Fairhead)
@@ -35,5 +35,5 @@
 !    gridpoint area. In most circumstances, this weight is the ratio between the
 !    surfaces of the USN gridpoint area and the model gridpoint area. 
-!
+
 !           (c)
 !        ----d-----
@@ -297,12 +297,12 @@
 
 END SUBROUTINE grid_noro
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE grid_noro0(xd,yd,zd,x,y,zphi,mask)
-!
+
 !===============================================================================
 ! Purpose: Extracted from grid_noro to provide geopotential height for dynamics
@@ -424,17 +424,17 @@
 
 END SUBROUTINE grid_noro0
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE read_noro(x,y,fname,zphi,zmea,zstd,zsig,zgam,zthe,zpic,zval,mask)
-!
+
 !-------------------------------------------------------------------------------
 ! Purpose: Read parameters usually determined with grid_noro from a file.
 !===============================================================================
-  USE netcdf, ONLY: NF90_OPEN,  nf90_inq_dimid, NF90_INQUIRE_DIMENSION,        &
-        NF90_NOERR, NF90_CLOSE, NF90_INQ_VARID, NF90_GET_VAR, NF90_STRERROR,   &
+  USE netcdf, ONLY: NF90_OPEN,  nf90_inq_dimid, nf90_inquire_dimension,        &
+        nf90_noerr, NF90_CLOSE, NF90_INQ_VARID, nf90_get_var, NF90_STRERROR,   &
         NF90_NOWRITE
   IMPLICIT NONE 
@@ -499,5 +499,5 @@
   REAL,             INTENT(INOUT) :: fld(:,:)
   CALL ncerr(NF90_INQ_VARID(fid,var,vid),var)
-  CALL ncerr(NF90_GET_VAR(fid,vid,fld(1:imar,:)),var)
+  CALL ncerr(nf90_get_var(fid,vid,fld(1:imar,:)),var)
   fld(imar+1,:)=fld(1,:)
 END SUBROUTINE get_fld
@@ -510,7 +510,7 @@
   INTEGER :: n
   CALL ncerr(nf90_inq_dimid(fid,dimd,did))
-  CALL ncerr(NF90_INQUIRE_DIMENSION(fid,did,len=n)); ALLOCATE(tmp(n))
+  CALL ncerr(nf90_inquire_dimension(fid,did,len=n)); ALLOCATE(tmp(n))
   CALL ncerr(NF90_INQ_VARID(fid,dimd,did))
-  CALL ncerr(NF90_GET_VAR(fid,did,tmp))
+  CALL ncerr(nf90_get_var(fid,did,tmp))
   IF(MAXVAL(tmp)>xpi) tmp=tmp*d2r
   IF(n/=SIZE(dimv).OR.ANY(ABS(tmp-dimv)>1E-6)) THEN
@@ -525,5 +525,5 @@
   CHARACTER(LEN=*), INTENT(IN), OPTIONAL :: var
   CHARACTER(LEN=256) :: mess
-  IF(ncres/=NF90_NOERR) THEN
+  IF(ncres/=nf90_noerr) THEN
     mess='Problem with file "'//TRIM(fname)//'"'
     IF(PRESENT(var)) mess=TRIM(mess)//' and variable "'//TRIM(var)//'"'
@@ -534,12 +534,12 @@
 
 END SUBROUTINE read_noro
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE MVA9(x)
-!
+
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
@@ -571,5 +571,5 @@
 
 END SUBROUTINE MVA9
-!
+
 !-------------------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5099)
@@ -4,17 +4,17 @@
 
 !--flight inventories
-!
+
 REAL, SAVE, ALLOCATABLE :: flight_m(:,:)    !--flown distance m s-1 per cell
 !$OMP THREADPRIVATE(flight_m)
 REAL, SAVE, ALLOCATABLE :: flight_h2o(:,:)  !--emitted kg H2O s-1 per cell
 !$OMP THREADPRIVATE(flight_h2o)
-!
+
 !--Fixed Parameters
-!
+
 !--safety parameters for ERF function
 REAL, PARAMETER :: erf_lim = 5., eps = 1.e-10
-!
+
 !--Tuning parameters (and their default values)
-!
+
 !--chi gère la répartition statistique de la longueur des frontières
 !  entre les zones nuages et ISSR/ciel clair sous-saturé. Gamme de valeur :
@@ -25,16 +25,16 @@
 !  le nuage n'est en contact qu'avec de l'ISSR, quelle que soit la taille 
 !  de l'ISSR dans la maille.)
-!
+
 !--l_turb est la longueur de mélange pour la turbulence. 
 !  dans les tests, ça n'a jamais été modifié pour l'instant. 
-!
+
 !--tun_N est le paramètre qui contrôle l'importance relative de N_2 par rapport à N_1. 
 !  La valeur est comprise entre 1 et 2 (tun_N = 1 => N_1 = N_2)
-!
+
 !--tun_ratqs : paramètre qui modifie ratqs en fonction de la valeur de
 !  alpha_cld selon la formule ratqs_new = ratqs_old / ( 1 + tun_ratqs *
 !  alpha_cld ). Dans le rapport il est appelé beta. Il varie entre 0 et 5
 !  (tun_ratqs = 0 => pas de modification de ratqs).
-!
+
 !--gamma0 and Tgamma: define RHcrit limit above which heterogeneous freezing occurs as a function of T
 !--Karcher and Lohmann (2002)
@@ -42,10 +42,10 @@
 !--Ren and MacKenzie (2005) reused by Kärcher
 !--gamma = 2.349 - t / 259.0
-!
+
 !--N_cld: number of clouds in cell (needs to be parametrized at some point)
-!
+
 !--contrail cross section: typical value found in Freudenthaler et al, GRL, 22, 3501-3504, 1995
 !--in m2, 1000x200 = 200 000 m2 after 15 min
-!
+
 REAL, SAVE :: chi=1.1, l_turb=50.0, tun_N=1.3, tun_ratqs=3.0
 REAL, SAVE :: gamma0=2.349, Tgamma=259.0, N_cld=100, contrail_cross_section=200000.0
@@ -55,5 +55,5 @@
 
 !*******************************************************************
-!
+
 SUBROUTINE ice_sursat_init()
 
@@ -85,5 +85,5 @@
 
 !*******************************************************************
-!
+
 SUBROUTINE airplane(debut,pphis,pplay,paprs,t_seri)
 
@@ -126,12 +126,11 @@
   REAL :: zrho, zdz(klon,klev), zfrac
 
-  !
   IF (debut) THEN
   !--------------------------------------------------------------------------------
   !       ... Open the file and read airplane emissions
   !--------------------------------------------------------------------------------
-  !
+
   IF (is_mpi_root .AND. is_omp_root) THEN
-      !
+
       iret = nf90_open('aircraft_phy.nc', 0, ncida)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to open aircraft_phy.nc file',1)
@@ -149,15 +148,15 @@
       iret = nf90_inquire_dimension(ncida, varid,len= nleva)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get lev dimlen aircraft_phy.nc file',1)
-      !
+
       IF ( klona /= klon_glo ) THEN
         WRITE(lunout,*) 'klona & klon_glo =', klona, klon_glo
         CALL abort_physic(modname,'problem klon in aircraft_phy.nc file',1)
       ENDIF
-      !
+
       IF ( ntimea /= 12 ) THEN
         WRITE(lunout,*) 'ntimea=', ntimea
         CALL abort_physic(modname,'problem ntime<>12 in aircraft_phy.nc file',1)
       ENDIF
-      !
+
       ALLOCATE(zmida(nleva), STAT=error)
       IF (error /= 0) CALL abort_physic(modname,'problem to allocate zmida',1)
@@ -166,34 +165,34 @@
       ALLOCATE(ph2o_airpl_glo(klona,nleva,ntimea), STAT=error)
       IF (error /= 0) CALL abort_physic(modname,'problem to allocate ph2o_airpl_glo',1)
-      !
+
       iret = nf90_inq_varid(ncida, 'lev', varid)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get lev dimid aircraft_phy.nc file',1)
       iret = nf90_get_var(ncida, varid, zmida)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to read zmida file',1)
-      !
+
       iret = nf90_inq_varid(ncida, 'emi_co2_aircraft', varid)  !--CO2 as a proxy for m flown -
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get emi_distance dimid aircraft_phy.nc file',1)
       iret = nf90_get_var(ncida, varid, pkm_airpl_glo)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to read pkm_airpl file',1)
-      !
+
       iret = nf90_inq_varid(ncida, 'emi_h2o_aircraft', varid)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get emi_h2o_aircraft dimid aircraft_phy.nc file',1)
       iret = nf90_get_var(ncida, varid, ph2o_airpl_glo)
       IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to read ph2o_airpl file',1)
-      ! 
+
      ENDIF    !--is_mpi_root and is_omp_root
-     !
+
      CALL bcast(nleva)
      CALL bcast(ntimea)
-     ! 
+
      IF (.NOT.ALLOCATED(zmida)) ALLOCATE(zmida(nleva), STAT=error)
      IF (.NOT.ALLOCATED(zinta)) ALLOCATE(zinta(nleva+1), STAT=error)
-     !
+
      ALLOCATE(pkm_airpl(klon,nleva,ntimea))
      ALLOCATE(ph2o_airpl(klon,nleva,ntimea))
-     !
+
      ALLOCATE(flight_m(klon,klev))
      ALLOCATE(flight_h2o(klon,klev))
-     !
+
      CALL bcast(zmida)
      zinta(1)=0.0                                   !--surface
@@ -203,8 +202,8 @@
      zinta(nleva+1)=zinta(nleva)+(zmida(nleva)-zmida(nleva-1))*1000.0 !--extrapolation for last interface
      !print *,'zinta=', zinta
-     !
+
      CALL scatter(pkm_airpl_glo,pkm_airpl)
      CALL scatter(ph2o_airpl_glo,ph2o_airpl)
-     !
+
 !$OMP MASTER
      IF (is_mpi_root .AND. is_omp_root) THEN
@@ -215,11 +214,11 @@
 
   ENDIF !--debut
-!
+
 !--compute altitude of model level interfaces
-!
+
   DO i = 1, klon
     zalt(i,1)=pphis(i)/RG         !--in m
   ENDDO
-!
+
   DO k=1, klev
     DO i = 1, klon
@@ -229,10 +228,10 @@
     ENDDO
   ENDDO
-!
+
 !--vertical reprojection 
-!
+
   flight_m(:,:)=0.0 
   flight_h2o(:,:)=0.0 
-!
+
   DO k=1, klev
     DO kori=1, nleva 
@@ -247,5 +246,5 @@
     ENDDO
   ENDDO
-!
+
   DO k=1, klev
     DO i=1, klon
@@ -257,5 +256,5 @@
     ENDDO
   ENDDO
-!
+
 END SUBROUTINE airplane
 
@@ -263,5 +262,5 @@
 ! simple routine to initialise flight_m and test a flight corridor
 !--Olivier Boucher - 2021 
-!
+
 SUBROUTINE flight_init()
   USE dimphy
@@ -272,8 +271,8 @@
   ALLOCATE(flight_m(klon,klev))
   ALLOCATE(flight_h2o(klon,klev))
-  !
+
   flight_m(:,:) = 0.0    !--initialisation
   flight_h2o(:,:) = 0.0  !--initialisation
-  !
+
   DO i=1, klon
    IF (latitude_deg(i)>=42.0.AND.latitude_deg(i)<=48.0) THEN
@@ -289,11 +288,11 @@
 !--Determines the respective fractions of unsaturated clear sky, ice supersaturated clear sky and cloudy sky
 !--Diagnoses regions prone for non-persistent and persistent contrail formation
-!
+
 !--Audran Borella - 2021 
-!
+
 SUBROUTINE ice_sursat(pplay, dpaprs, dtime, i, k, t, q, gamma_ss, &
                       qsat, t_actuel, rneb_seri, ratqs, rneb, qincld,   &
                       rnebss, qss, Tcontr, qcontr, qcontr2, fcontrN, fcontrP)
-  !
+
   USE dimphy
   USE print_control_mod,    ONLY: prt_level, lunout
@@ -304,5 +303,5 @@
   USE indice_sol_mod,       ONLY: is_ave 
   USE geometry_mod,         ONLY: cell_area
-  !
+
   IMPLICIT NONE
   INCLUDE "YOMCST.h"
@@ -311,8 +310,7 @@
   INCLUDE "clesphys.h"
 
-  !
   ! Input
   ! Beware: this routine works on a gridpoint!
-  !
+
   REAL,     INTENT(IN)    :: pplay     ! layer pressure (Pa)
   REAL,     INTENT(IN)    :: dpaprs    ! layer delta pressure (Pa)
@@ -323,13 +321,13 @@
   REAL,     INTENT(IN)    :: rneb_seri ! fraction nuageuse en memoire
   INTEGER,  INTENT(IN)    :: i, k
-  !
+
   !  Input/output
-  !
+
   REAL,     INTENT(INOUT) :: q         ! vapeur de la maille (=zq)
   REAL,     INTENT(INOUT) :: ratqs     ! determine la largeur de distribution de vapeur
   REAL,     INTENT(INOUT) :: Tcontr, qcontr, qcontr2, fcontrN, fcontrP
-  !
+
   !  Output
-  !
+
   REAL,     INTENT(OUT)   :: gamma_ss  !
   REAL,     INTENT(OUT)   :: rneb      !  cloud fraction
@@ -337,7 +335,7 @@
   REAL,     INTENT(OUT)   :: rnebss    !  ISSR fraction
   REAL,     INTENT(OUT)   :: qss       !  in-ISSR total water
-  !
+
   ! Local
-  !
+
   REAL PI
   PARAMETER (PI=4.*ATAN(1.))
@@ -354,5 +352,5 @@
   REAL V_env, V_cld, V_ss, V_clr
   REAL zcor
-  !
+
   !--more local variables for diagnostics
   !--imported from YOMCST.h 
@@ -378,8 +376,8 @@
      V_cell = zdz * cell_area(i)      !--cell volume m3
      M_cell = zrhodz * cell_area(i)   !--cell dry air mass kg
-     !
+
      ! Recuperation de la memoire sur la couverture nuageuse
      rneb = rneb_seri
-     !
+
      ! Ajout des émissions de H2O dues à l'aviation
      ! q is the specific humidity (kg/kg humid air) hence the complicated equation to update q
@@ -388,14 +386,14 @@
      ! The equation is derived by writing m_humid_air = m_dry_air + m_H2O = m_dry_air / (1-q) 
      ! flight_h2O is in kg H2O / s / cell
-     !
+
      IF (ok_plane_h2o) THEN 
        q = ( M_cell*q + flight_h2o(i,k)*dtime*(1.-q) ) / (M_cell + flight_h2o(i,k)*dtime*(1.-q) ) 
      ENDIF
-     !
+
      !--Estimating gamma 
      gamma_ss = MAX(1.0, gamma0 - t_actuel/Tgamma)
      !gamma_prec = MAX(1.0, gamma0 - t_ancien(i,k)/Tgamma)      !--formulation initiale d Audran
      gamma_prec = MAX(1.0, gamma0 - t/Tgamma)                   !--autre formulation possible basée sur le T du pas de temps
-     !
+
      ! Initialisation de qvc : q_sat du pas de temps precedent
      !qvc = R2ES*FOEEW(t_ancien(i,k),1.)/pplay      !--formulation initiale d Audran
@@ -404,8 +402,8 @@
      zcor = 1./(1.-RETV*qvc)
      qvc = qvc*zcor
-     !
+
      ! Modification de ratqs selon formule proposee : ksi_new = ksi_old/(1+beta*alpha_cld)
      ratqs = ratqs / (tun_ratqs*rneb_seri + 1.)
-     !
+
      ! Calcul de N
      pdf_k = -sqrt(log(1.+ratqs**2.))
@@ -421,5 +419,5 @@
         pdf_N = max(0.,rneb/pdf_e1)
      ENDIF
-     !
+
      ! On calcule ensuite N1 et N2. Il y a deux cas : N > 1 et N <= 1
      ! Cas 1 : N > 1. N'arrive en theorie jamais, c'est une barriere
@@ -634,5 +632,5 @@
      ! Physique 2 : Turbulence
      IF (rneb>eps.AND.rneb<1.-eps) THEN ! rneb != 0 and != 1
-       !
+
        tke = pbl_tke(i,k,is_ave)
        ! A MODIFIER formule a revoir
@@ -744,5 +742,5 @@
      !!fcontrN(i,k)=1.0
      !!fcontrP(i,k)=0.5
-     !
+
      !--slope of dilution line in exhaust
      !--kg H2O/kg fuel * J kg air-1 K-1 * Pa / (kg H2O / kg air * J kg fuel-1) 
@@ -751,5 +749,5 @@
      !Tcontr(i,k) = 226.69+9.43*log(Gcontr-0.053)+0.72*(log(Gcontr-0.053))**2 !--K
      IF (Gcontr > 0.1) THEN
-     !
+
        Tcontr = 226.69+9.43*log(Gcontr-0.053)+0.72*(log(Gcontr-0.053))**2 !--K
        !print *,'Tcontr=',iter,i,k,eps_w,pplay,Gcontr,Tcontr(i,k)
@@ -775,7 +773,7 @@
        !qcontr=MAX(1.E-10,qcontr)
        !qcontr2 = eps_w*qcontr / (pplay+eps_w*qcontr)
-       !
+
        IF (t < Tcontr) THEN !--contrail formation is possible
-       !
+
        !--compute fractions of persistent (P) and non-persistent(N) contrail potential regions
        !!IF (qcontr(i,k).GE.qsat) THEN
@@ -784,5 +782,5 @@
          !!fcontrN(i,k) = 0.0
          fcontrN = 0.0
-         !
+
          !--integral of P(q) from qsat to qcontr in ISSR 
          pdf_a = log(qsat/q)/(pdf_k*sqrt(2.))
@@ -793,5 +791,5 @@
             pdf_e1 = erf(pdf_e1)
          ENDIF
-         !
+
          !!pdf_a = log(MIN(qcontr(i,k),qvc)/q)/(pdf_k*sqrt(2.))
          pdf_a = log(MIN(qcontr2,qvc)/q)/(pdf_k*sqrt(2.))
@@ -802,8 +800,8 @@
             pdf_e2 = erf(pdf_e2)
          ENDIF
-         !
+
          !!fcontrP(i,k) = MAX(0., 0.5*(pdf_e1-pdf_e2))
          fcontrP = MAX(0., 0.5*(pdf_e1-pdf_e2))
-         !
+
          pdf_a = log(qsat/q)/(pdf_k*sqrt(2.))
          pdf_e1 = pdf_a+pdf_b
@@ -813,5 +811,5 @@
             pdf_e1 = erf(pdf_e1)
          ENDIF
-         !
+
          !!pdf_a = log(MIN(qcontr(i,k),qvc)/q)/(pdf_k*sqrt(2.))
          pdf_a = log(MIN(qcontr2,qvc)/q)/(pdf_k*sqrt(2.))
@@ -822,8 +820,8 @@
             pdf_e2 = erf(pdf_e2)
          ENDIF
-         !
+
          !!fcontrP(i,k) = MAX(0., 0.5*(pdf_e1-pdf_e2))
          fcontrP = MAX(0., 0.5*(pdf_e1-pdf_e2))
-         !
+
          pdf_a = log(MAX(qsat,qvc)/q)/(pdf_k*sqrt(2.))
          pdf_e1 = pdf_a+pdf_b
@@ -833,5 +831,5 @@
             pdf_e1 = erf(pdf_e1)
          ENDIF
-         !
+
          !!pdf_a = log(MIN(qcontr(i,k),MIN(gamma_prec*qvc,gamma_ss*qsat))/q)/(pdf_k*sqrt(2.))
          pdf_a = log(MIN(qcontr2,MIN(gamma_prec*qvc,gamma_ss*qsat))/q)/(pdf_k*sqrt(2.))
@@ -842,8 +840,8 @@
             pdf_e2 = erf(pdf_e2)
          ENDIF
-         !
+
          !!fcontrP(i,k) = fcontrP(i,k) + MAX(0., 0.5*(1-pdf_N1)*(pdf_e1-pdf_e2))
          fcontrP = fcontrP + MAX(0., 0.5*(1-pdf_N1)*(pdf_e1-pdf_e2))
-         !
+
          pdf_a = log(gamma_prec*qvc/q)/(pdf_k*sqrt(2.))
          pdf_e1 = pdf_a+pdf_b
@@ -853,5 +851,5 @@
             pdf_e1 = erf(pdf_e1)
          ENDIF
-         !
+
          !!pdf_a = log(MIN(qcontr(i,k),gamma_ss*qsat)/q)/(pdf_k*sqrt(2.))
          pdf_a = log(MIN(qcontr2,gamma_ss*qsat)/q)/(pdf_k*sqrt(2.))
@@ -862,14 +860,14 @@
             pdf_e2 = erf(pdf_e2)
          ENDIF
-         !
+
          !!fcontrP(i,k) = fcontrP(i,k) + MAX(0., 0.5*(1-pdf_N2)*(pdf_e1-pdf_e2))
          fcontrP = fcontrP + MAX(0., 0.5*(1-pdf_N2)*(pdf_e1-pdf_e2))
-         !
+
        ELSE  !--qcontr LT qsat
-         !
+
          !--all of ISSR is prone for contrail formation
          !!fcontrP(i,k) = rnebss
          fcontrP = rnebss
-         !
+
          !--integral of zq from qcontr to qsat in unsaturated clear-sky region
          !!pdf_a = log(qcontr(i,k)/q)/(pdf_k*sqrt(2.))
@@ -881,5 +879,5 @@
             pdf_e1 = erf(pdf_e1)
          ENDIF
-         !
+
          pdf_a = log(qsat/q)/(pdf_k*sqrt(2.))
          pdf_e2 = pdf_a+pdf_b
@@ -889,19 +887,19 @@
             pdf_e2 = erf(pdf_e2)
          ENDIF
-         !
+
          !!fcontrN(i,k) = 0.5*(pdf_e1-pdf_e2)
          fcontrN = 0.5*(pdf_e1-pdf_e2)
          !!fcontrN=2.0
-         !
+
        ENDIF
-       !
+
        ENDIF !-- t < Tcontr
-     !
+
      ENDIF !-- Gcontr > 0.1
 
   RETURN
 END SUBROUTINE ice_sursat
-!
+
 !*******************************************************************
-!
+
 END MODULE ice_sursat_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/icefrac_lsc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/icefrac_lsc_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/icefrac_lsc_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 MODULE icefrac_lsc_mod
 
@@ -10,8 +10,8 @@
 
 SUBROUTINE icefrac_lsc(np,temp, sig, icefrac)
-  !
+
   ! Compute the ice fraction 1-xliq (see e.g.
   ! Doutriaux-Boucher & Quaas 2004, section 2.2.)
-  !
+
   ! (JBM 3/14 8/14 5/16)
   
@@ -55,4 +55,4 @@
 
 !*******************************************************************
-!
+
 END MODULE icefrac_lsc_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/infotrac_phy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/infotrac_phy.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/infotrac_phy.F90	(revision 5099)
@@ -1,4 +1,4 @@
 !$Id: infotrac.F90 4301 2022-10-20 11:57:21Z dcugnet $
-!
+
 MODULE infotrac_phy
 
@@ -59,5 +59,5 @@
   !  * For water, "nqo" is equal to the more general field "isotopes(ip)%nphas".
   !  * "niso", "nzone", "ntiso", "nphas" are defined for other isotopic tracers families, if any.
-  !
+
   !=== DERIVED TYPE EMBEDDING MOST OF THE TRACERS-RELATED QUANTITIES (LENGTH: nqtot)
   !    Each entry is accessible using "%" sign.
@@ -85,5 +85,5 @@
   !  | iso_iPhas   | Isotope  phase index in isotopes(iso_iGroup)%phas(:) | phase_num   | 1:nphas                |
   !  +-------------+------------------------------------------------------+-------------+------------------------+
-  !
+
   !=== DERIVED TYPE EMBEDDING MOST OF THE ISOTOPES-RELATED QUANTITIES (LENGTH: nbIso, NUMBER OF ISOTOPES FAMILIES)
   !    Each entry is accessible using "%" sign.
@@ -135,8 +135,8 @@
     IMPLICIT NONE
     !==============================================================================================================================
-    !
+
     !   Auteur:  P. Le Van /L. Fairhead/F.Hourdin
     !   -------
-    !
+
     !   Modifications:
     !   --------------
@@ -144,9 +144,9 @@
     !   02/02: M-A Filiberti Lecture de traceur.def
     !   01/22: D. Cugnet     Nouveaux tracer.def et tracer_*.def + encapsulation (types trac_type et isot_type)
-    !
+
     !   Objet:
     !   ------
     !   GCM LMD nouvelle grille
-    !
+
     !==============================================================================================================================
     !   ... modification de l'integration de q ( 26/04/94 ) ....
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_csts.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_csts.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ini_csts.F90	(revision 5099)
@@ -6,5 +6,5 @@
       SUBROUTINE INI_CSTS 
 !     ##################
-!
+
 !!****  *INI_CSTS * - routine to initialize the module MODD_CST
 !!
@@ -13,6 +13,6 @@
 !       The purpose of this routine is to initialize  the physical constants
 !     stored in  module MODD_CST.
-!      
-!
+
+
 !!**  METHOD
 !!    ------
@@ -50,27 +50,26 @@
 !!
 !-------------------------------------------------------------------------------
-!
+
 !*       0.    DECLARATIONS
 !              ------------
-!
+
 USE MODD_CSTS
-!
-!
+
+
 !USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 !USE PARKIND1  ,ONLY : JPRB
-!
+
 !USE MODI_INI_CTURBS
-!
+
 !USE MODI_INI_OCEAN_CSTS
-!
+
 !USE MODI_INI_SURF_CSTS
-!
+
 IMPLICIT NONE
-!  
+
 !-------------------------------------------------------------------------------
-!
+
 !*       1.     FUNDAMENTAL CONSTANTS
 !               ---------------------
-!
 
 !REAL(KIND=JPRB) :: ZHOOK_HANDLE
@@ -90,10 +89,10 @@
 XPLANCK     = 6.6260755E-34
 XAVOGADRO   = 6.0221367E+23
-!
+
 !-------------------------------------------------------------------------------
-!
+
 !*       2.     ASTRONOMICAL CONSTANTS
 !               ----------------------
-!
+
 XDAY   = 86400.
 XSIYEA = 365.25*XDAY*2.*XPI/ 6.283076
@@ -101,35 +100,35 @@
 XOMEGA = 2.*XPI/XSIDAY
 NDAYSEC = 24*3600 ! Number of seconds in a day
-!
+
 !-------------------------------------------------------------------------------!
-!
-!
+
+
 !*       3.     TERRESTRIAL GEOIDE CONSTANTS
 !               ----------------------------
-!
+
 XRADIUS = 6371229.
 XG      = 9.80665
-!
+
 !-------------------------------------------------------------------------------
-!
+
 !*       4.     REFERENCE PRESSURE
 !               -------------------
-!
+
 XP00 = 1.E5
 XTH00 = 300.
 !-------------------------------------------------------------------------------
-!
+
 !*       5.     RADIATION CONSTANTS
 !               -------------------
-!
+
 !JUAN OVERFLOW XSTEFAN = 2.* XPI**5 * XBOLTZ**4 / (15.* XLIGHTSPEED**2 * XPLANCK**3)
 XSTEFAN = ( 2.* XPI**5 / 15. ) * ( (XBOLTZ / XPLANCK)* XBOLTZ ) * (XBOLTZ/(XLIGHTSPEED*XPLANCK))**2 
 XI0     = 1370.
-!
+
 !-------------------------------------------------------------------------------
-!
+
 !*       6.     THERMODYNAMIC CONSTANTS
 !               -----------------------
-!
+
 XMD    = 28.9644E-3
 XMV    = 18.0153E-3
@@ -157,25 +156,25 @@
 XBETAI = (XLSTT/XRV) + (XGAMI * XTT)
 XALPI  = LOG(XESTT) + (XBETAI /XTT) + (XGAMI *LOG(XTT))
-!
+
 !-------------------------------------------------------------------------------
-!
+
 !*       7.     TURBULENCE CONSTANTS
 !               --------------------
-!
+
 ! CALL INI_CTURBS
 !-------------------------------------------------------------------------------
-!
+
 !*       8.     OCEAN CONSTANTS
 !               ---------------
-!
+
 ! CALL INI_OCEAN_CSTS
-!
+
 !*       9.     SURFACE CONSTANTS
 !               -----------------
-!
+
 ! CALL INI_SURF_CSTS
 !IF (LHOOK) CALL DR_HOOK('INI_CSTS',1,ZHOOK_HANDLE)
-!
+
 !-------------------------------------------------------------------------------
-!
+
 END SUBROUTINE INI_CSTS 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Header$
-!
 
       IF (ok_regdyn) THEN
